<template>
  <div>
    <h1>Login</h1>
    <h2>{{ getApiData }}</h2>
  </div>
</template>
<script>
import { commonComponentRegistry } from "../registry";
const { Button } = commonComponentRegistry;
export default {
  compoennts: {
    Button,
  },
  data() {
    return {
      getApiData: null,
    };
  },
  mounted() {
    this.callGetData();
  },
  methods: {
    async callGetData() {
      try {
        const data = await this.$store.dispatch("LoginModule/login", true);
        this.getApiData = data;
      } catch (e) {
        console.log(e);
      }
    },
  },
};
</script>
